Template: shared/firebird/enabled
Type: boolean
Default: false
_Description: Enable Firebird server?
 Accept if you want Firebird server to start automatically.
 .
 If you only need the Firebird client and there are no databases that
 will be served by this host, decline.

Template: shared/firebird/sysdba_password/first_install
Type: password
_Description: Password for SYSDBA:
 Firebird has a special user named SYSDBA, which is the user that has
 access to all databases. SYSDBA can also create new databases and users.
 Because of this, it is necessary to secure SYSDBA with a password.
 .
 The password is stored in /etc/firebird/${FB_VER}/SYSDBA.password
 (readable only by root). You may modify it there (don't forget to update
 the security database too, using the gsec utility), or you may use
 dpkg-reconfigure to update both.
 .
 If you don't enter a password, a random one will be used (and stored in
 SYSDBA.password).

Template: shared/firebird/sysdba_password/upgrade_reconfigure
Type: password
_Description: Password for SYSDBA:
 Firebird has a special user named SYSDBA, which is the user that has
 access to all databases. SYSDBA can also create new databases and users.
 Because of this, it is necessary to secure SYSDBA with a password.
 .
 The password is stored in /etc/firebird/${FB_VER}/SYSDBA.password
 (readable only by root). You may modify it there (don't forget to update
 the security database too, using the gsec utility), or you may use
 dpkg-reconfigure to update both.
 .
 To keep your existing password, leave this blank.

Template: shared/firebird/sysdba_password/new_password
Type: password
Description: New password for SYSDBA (for internal use)
 *DO NOT TRANSLATE*
 This is an internal, hidden template

Template: shared/firebird/purge_security
Type: boolean
Default: false
_Description: Delete password database?
 The last package that uses password database at
 /var/lib/firebird/${FB_VER}/system/security2.fdb is being purged.
 .
 Leaving security database may present security risk. It is a good idea to
 remove it if you don't plan re-installing firebird${FB_VER}.
 .
 The same stands for /etc/firebird/${FB_VER}/SYSDBA.password, where the
 password for SYSDBA is kept.

Template: shared/firebird/purge_databases
Type: boolean
Default: false
_Description: Delete databases from /var/lib/firebird/${FB_VER}/data?
 You may want to delete all databases from firebird standard database
 directory, /var/lib/firebird/${FB_VER}/data. If you choose this option, all
 files ending with ".fdb" and ".fbk" from the above directory and its
 subdirectories will be removed.
 .
 Note that any databases outside of /var/lib/firebird/${FB_VER}/data will not
 be affected.

Template: shared/firebird/server_in_use
Type: error
_Description: firebird${FB_VER}-${FB_FLAVOUR} server is in use
  To ensure data integrity, package removal/upgrade is aborted. Please stop all local and remote clients before removing or upgrading firebird${FB_VER}-${FB_FLAVOUR}

Template: shared/firebird/title
Type: title
_Description: Password for firebird ${FB_VER}
